Subject: Re: [idn] Re: [JET-member 464] Re: Fw: Re: new members invitation

From: liana Ye <[email-masked]>
Date: Sat, 3 Nov 2001 22:40:21 -0800

On Mon, 29 Oct 2001 10:47:09 -0500 John C Klensin <[email-masked]>
writes:
> --On Monday, 29 October, 2001 10:30 -0500 Eric Brunner-Williams
> in Portland Maine <[email-masked]> wrote:
> 
> >> However, if one says "we need to do this because otherwise we
> >> have to do double (or more) registrations and those are too
> > 
> > We're discussing exponential behavior. Scaling is the problem
> > we are trying to solve. Does an out-of-protocol SC/TC
> > equivalance mechanism both exist and scale, for the existing
> > problem constraints?
> 
> Beats me.  I'm still not sure I understand the stated problem
> constraints (e.g., I'm not sure whether we really have to
> "translate" an arbitrary combination of mixed TC and SC
> characters to some other arbitrary combination of them or
> whether the problem can sensibly be constrained to translating
> entirely-TC strings to entirely-SC strings and/or back).  The
> two, obviously, have widely different scaling properties if one
> tries to go the multiple registration route as most of us would
> not spend a lot of effort on a factor of two.
> 
> Conversely, there are some potentially serious problem
> constraints that I'm not sure I see being addressed.  And I
> prefer to not try to guess at how (or whether) some proposal
> will deal with them until I see the proposal.   Among those
> constraints is that we don't language-label and we don't insist
> that the labels of an FQDN be homogeneous (or even predictable
> from each other) wrt language or even script embedded in Unicode.
> 
>     john
>  

I think I have provided a solution in draft-liana-idn-map, to the 
problem you are concerning, but there is little specifics for me to
 respond to. Could you be more specific about them?

Liana